//A component of FEAST.
//Copyright (c) 2003 David Elworthy.
//For information, visit www.friendlymoose.com
package com.friendlymoose.feast;
import java.awt.event.ActionEvent;
import java.io.File;

import javax.swing.AbstractAction;

/** Action to assign a key for doing a move. */
public class AssignAction extends AbstractAction
{
	/** Code the for key. */
    private int theKey;
    
    /** Object storing the paths table. */
    private PathsTable table;
    
    /** Class invoked by Adjust (right click) on tree. */
    private TreeAdjuster adjuster;
    
    /** File lister - just want it for setting focus. */
    private Lister lister; // Just to get focus
    
    /** Create the assign action
     * 
     * @param key The key number to assign (0..., or -1 for first free one)
     * @param t The paths table
     * @param a The tree adjuster
     * @param l The file lister
     */
    public AssignAction(int key, PathsTable t, TreeAdjuster a, Lister l)
    {
        super();
        theKey = key;
        table  = t;
        adjuster = a;
        lister = l;
    }

	/** Apply the action. Sets the path for the key in the table.
	 * @param e The action event (not used, may be null)
	 */
    public void actionPerformed(ActionEvent e)
    {
        File f = adjuster.getFile();
        table.setPath(theKey, -1, f);
        lister.requestFocus();
    }
}
    


