//A component of FEAST.
//Copyright (c) 2003 David Elworthy.
//For information, visit www.friendlymoose.com
package com.friendlymoose.feast;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.io.File;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;
import javax.swing.tree.TreePath;

/** Action to make a directory. */
public class MkDirAction extends AbstractAction
{
	/** The explorer tree */
    private ExplorerTree explorer;
    
    /** Create the mkdir action
     * 
     * @param t Explorer tree display
     */
    public MkDirAction(ExplorerTree t)
    {
        super();
        explorer = t;
    }
    
    /** Perform the action: prompts for and creates a new directory
     * @param e The action event
     */
    public void actionPerformed(ActionEvent e)
    {
    	TreePath path = explorer.getSelectionPath();
    	if (path != null)
    	{
			String inputValue
			 = JOptionPane.showInputDialog("New directory name"); 
			 
			if (inputValue != null)
			{
				ExplorerNode node = (ExplorerNode) path.getLastPathComponent();
				  
				if (node != null)
				{
					File newDir = new File(node.getFile(), inputValue);
					if (newDir.exists())
					{
						Toolkit.getDefaultToolkit().beep();
					}
					else
					{
						boolean success = newDir.mkdir();
						if (!success)
						{
							JOptionPane.showMessageDialog
							(null, "Failed to make directory", "Didn't do it",
							 JOptionPane.ERROR_MESSAGE);
						}
						else
						{
							explorer.refresh(newDir);
						}
					}
				}
			}

    	}
    }
}
    


