/*
 * <copyright>
 * Copyright  2000-2004, David Elworthy.
 * </copyright>
 *
 * $Header: $
 * Title:        PasswordDialogue
 * Created:      Feb 19, 2005
 * Description:  A dialogue for getting a password
 */

package com.friendlymoose.feast;

import java.awt.Component;

import javax.swing.JOptionPane;
import javax.swing.JPasswordField;

/** Prompts for and returns a password.
 */
public class PasswordDialogue
{
    /** Items displayed in the dialogue */
    private Object[] items;

    /** The password. */
    private String password;
    
    /** The field for the password. */
    private JPasswordField passwordField;

    /** Create a password dialogue. */
    public PasswordDialogue()
    {
        items = new Object[1];
        passwordField = new JPasswordField(30);
        passwordField.setEchoChar('*');
        items[0] = passwordField;
    }

    /** Show the dialogue.
     * TODO: should set the input focus. But this seems to need making a custom dialog class!!
     * @param title Title
     * @param parent Parent component
     */
    public void show(String title, Component parent)
    {
        if (JOptionPane.showConfirmDialog(parent, items, title, JOptionPane.OK_CANCEL_OPTION)
               == JOptionPane.OK_OPTION)
        {
            password = new String(passwordField.getPassword());
        }
        else
        {
            password = null;
        }
    }
  
    /** Create dialog and get password.
     * @param title Title
     * @param parent Parent component
     * @return The password, or null on cancel.
     */
    public static String getPassword(String title, Component parent)
    {
        PasswordDialogue dialogue = new PasswordDialogue();
        dialogue.show(title, parent);
        return dialogue.password;
    }
}
