//A component of FEAST.
//Copyright (c) 2003 David Elworthy.
//For information, visit www.friendlymoose.com
package com.friendlymoose.feast;
import java.util.Properties;

/** Interface for classes which have properties.
 * The methods are called when properties are loaded and when they are about to
 * be saved.
 */
public interface PropertyBearing
{
	/** Called when properties have been loaded.
	 * @param props Object from which properties may be read.
	 */
	void loadProperties(Properties props);
	
	/** Called when properties are about to be saved.
	 * @param props Object into which properties may be written.
	 */
	void saveProperties(Properties props);
}
