//A component of FEAST.
//Copyright (c) 2003 David Elworthy.
//For information, visit www.friendlymoose.com
package com.friendlymoose.feast;
import java.util.ArrayList;
import java.util.Iterator;

/** Action to refresh displays.
 * Maintains a list of items to refresh and passes on a refresh call to them.
 */
public class Refresher
{
	/** The objects that will be refreshed. */
    private ArrayList items;
    
    /** Create the action
     */
    public Refresher()
    {
        super();
        items = new ArrayList();
    }
    
    /** Add an item to the list of things that are to be refreshed.
     * @param r Object to add to the list.
     */
    public void add(Refreshable r)
    {
    	items.add(r);
    }
    
    /** Perform the refresh on each object.
     *  @param level Level of refreshing.
     */
    public void refresh(int level)
    {
    	for (Iterator i = items.iterator(); i.hasNext(); )
    	{
    		((Refreshable) i.next()).refresh(level);
    	}
    }
}
