//A component of FEAST.
//Copyright (c) 2003 David Elworthy.
//For information, visit www.friendlymoose.com
package com.friendlymoose.feast;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.io.File;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;

/** Action to rename the selected file in the lister and refresh the display */
public class RenameAction extends AbstractAction
{
	/** File lister. */
    private Lister lister;
    
    /** Refresh coordinator. */
    private Refresher refresher;
    
    /** Create the rename action.
     *  @param l The lister
     *  @param r The refresh coordinator
     */
    public RenameAction(Lister l, Refresher r)
    {
        super();
        lister = l;
        refresher = r;
    }
    
    /** Perform the action.
     * @param e The action event
     */
    public void actionPerformed(ActionEvent e)
    {
        File src = lister.getSelected();
        if (src != null)
        {
			String inputValue
			 = JOptionPane.showInputDialog("Rename file as", src.getName()); 
			 
			if (inputValue != null)
			{
				File newName = new File(src.getParentFile(), inputValue);
	        	boolean success = src.renameTo(newName);
	            if (!success)
    	        {
        	        JOptionPane.showMessageDialog
            	    (null, "Rename failed ("+src.toString()+" to "+newName.toString(), "Didn't do it",
                 	JOptionPane.ERROR_MESSAGE);
            	}
            	else
            	{
            		refresher.refresh(0);
            	}
			}
        }
        else
        {
            Toolkit.getDefaultToolkit().beep();
        }
    }
}
